# -*- coding: utf-8 -*-
from setuptools import setup

modules = \
['pickledb_ujson']
install_requires = \
['ujson==5.4.0']

setup_kwargs = {
    'name': 'pickledb-ujson',
    'version': '1.0.8',
    'description': 'Fork of PickleDB using ujson',
    'long_description': '<p align="center">\n<a href="https://pypi.org/project/pickledb-ujson/"><img src="https://img.shields.io/pypi/v/pickledb-ujson" alt="PyPI"></a>\n<a href="https://github.com/Divkix/pickledb_ujson/actions"><img src="https://github.com/Divkix/pickledb_ujson/workflows/CI%20%28pip%29/badge.svg" alt="CI (pip)"></a>\n<a href="https://pypi.org/project/pickledb-ujson/"><img src="https://img.shields.io/pypi/pyversions/pickledb-ujson.svg" alt="Supported Python Versions"></a>\n<a href="https://pepy.tech/project/pickledb-ujson"><img src="https://pepy.tech/badge/pickledb-ujson" alt="Downloads"></a>\n</p>\n\n# pickleDB\npickleDB is lightweight, fast, and simple database based on the\n[ujson](https://github.com/ultrajson/ultrajson) module.\nAnd it\'s BSD licensed!\n\n\n## pickleDB is Fun\n```python\n>>> import pickledb_ujson as pickledb\n\n>>> db = pickledb.load(\'test.db\', False)\n\n>>> db.set(\'key\', \'value\')\n\n>>> db.get(\'key\')\n\'value\'\n\n>>> db.dump()\nTrue\n```\n\n## Easy to Install\n```python\n$ pip install pickledb-ujson\n```\n\n## Links\n* [website](https://patx.github.io/pickledb)\n* [documentation](https://patx.github.io/pickledb/commands.html)\n* [pypi](http://pypi.python.org/pypi/pickledb_ujson)\n* [github repo](https://github.com/divkix/pickledb_ujson)\n\n\n[![Sponsor](https://www.datocms-assets.com/31049/1618983297-powered-by-vercel.svg)](https://vercel.com/?utm_source=divideprojects&utm_campaign=oss)\n',
    'author': 'Harrison Erd',
    'author_email': 'erdh@mail.broward.edu',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/Divkix/pickledb_ujson',
    'py_modules': modules,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
